<app-navbar></app-navbar>


<div class="dict row">
    <div class="col s6">
        <agm-map [latitude]="lat" [longitude]="lon" [zoom]="4">
            <agm-marker *ngFor="let card of cards" [latitude]="card.latitud" [longitude]="card.longitud" (markerClick)="goCard(card.link)"></agm-marker>
        </agm-map>
    </div>
    <div id="tarjetas" class="col s6">
        <div class="row" *ngFor="let card of cards; let i = index">            
            <div class="card horizontal">
                <div class="card-image">
                    <img [src]="card.imagenURL">
                </div>
                <div class="card-stacked">
                    <div class="card-content">
                        <h2 class="header">{{card.nombre}}</h2>
                        <p>{{card.bio}}</p>
                    </div>
                    <div class="card-action">
                        <a target="_blank" [href]="card.link">Ver tarjeta</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<app-footer></app-footer>